from pydantic import BaseModel, Field
from typing import Optional
from datetime import datetime
from uuid import UUID

class LogisticsBase(BaseModel):
    name: str = Field(..., description="Name of the logistics")
    description: Optional[str] = Field(None, description="Description of the logistics")
    details: Optional[dict] = Field(None, description="Details of the logistics")

class LogisticsCreate(LogisticsBase):
    pass

class LogisticsUpdate(LogisticsBase):
    name: Optional[str] = Field(None, description="Name of the logistics")
    description: Optional[str] = Field(None, description="Description of the logistics")
    details: Optional[dict] = Field(None, description="Details of the logistics")

class LogisticsSchema(LogisticsBase):
    id: UUID
    created_at: datetime
    updated_at: datetime

    class Config:
        orm_mode = True